EDIT - feature request #6989
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Migrate concept graph view
09/27/2017 10:56 AM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.11

Severity: normal

Description

Related issues:

Related to EDIT - bug #7060: Concept graph view works only for relationships ... New
Copied to EDIT - bug #7061: Show concept information in label for concept vie... New

Associated revisions

Revision bb101b3b - 09/27/2017 01:36 PM - Patrick Plitzner
fix #6989 Migrate concept graph

Revision b3b6bf8f - 09/27/2017 01:36 PM - Patrick Plitzner

ref #6989 Refactor property tester for experimental feature

History

#1 - 09/27/2017 01:36 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|bb101b3b0c496ef690b379cacd5819592518e4a7.

#2 - 09/27/2017 01:46 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#3 - 10/11/2017 02:46 PM - Andreas Miller
- File picture395-1.png added

No graph is shown on my machine. | tested on testserver/rem_conf_am => Testklass - Sabularia Small.

The view shows up but no graph is shown inside.

#4 - 10/11/2017 02:48 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Patrick Plitzner

- Priority changed from New to Highest

#5 - 10/31/2017 12:52 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Miiller

Andreas Muller wrote:

No graph is shown on my machine. | testen on testserver/rem_conf_am => Testklass - Sabularia Small.

The view shows up but no graph is shown inside.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/bb101b3b0c496ef690b379cacd5819592518e4a7

Has this worked before? It seems like | did not change anything about the code that draws the graph.

#6 - 11/06/2017 06:22 PM - Andreas Miuller

- Related to bug #7060: Concept graph view works only for relationships in one direction added

#7 - 11/06/2017 06:25 PM - Andreas Miuller

- Assignee changed from Andreas Muiller to Patrick Plitzner

Patrick Plitzner wrote:

Has this worked before? It seems like | did not change anything about the code that draws the graph.

Looks like there was a bug before already. It works only under certain conditions depending on the concept relationship direction (see #7060).

#8 - 11/06/2017 06:28 PM - Andreas Miiller
- % Done changed from 50 to 100

For both, the concept relationship view as well as the concept graph it would be nice to have a label showing which taxon is shown in the view.
Similar to e.g. supplemental data view or referencing objects view.

If this is easy to implement we could do it here. Otherwise create a new ticket and close this one. It is solved.

#9 - 11/06/2017 06:41 PM - Andreas Miiller
- File picture549-1.png added

Andreas Muller wrote:

For both, the concept relationship view as well as the concept graph it would be nice to have a label showing which taxon is shown in the view.
Similar to e.g. supplemental data view or referencing objects view.

The graph originally had a label in the tab label as it looks like. However, it was kind of broken already. See attachement.

#10 - 11/07/2017 11:22 AM - Patrick Plitzner
- Status changed from Feedback to Closed

Added new ticket -> #7061

#11 -11/07/2017 11:22 AM - Patrick Plitzner

- Copied to bug #7061: Show concept information in label for concept view and graph view added

Files
picture395-1.png 10.3 KB 10/11/2017 Andreas Miller
picture549-1.png 2.34 KB 11/06/2017 Andreas Miller
